function[pocet2,vysledek2]= casova_analyza_hodnoty_2(novex,z,fvz)

tmin=5;
T_t=fvz*60*tmin;                %rozkouskování signálu po 5 minutách
poc=floor(length(z)/T_t);
krok=fvz/T_t;
dhr=floor(0.040/krok);          %definování pásma sledováného, dolní mez
hhr=ceil(0.060/krok);           %definování pásma sledováného, horní mez
vyhoz=1;                        %smazání prvního úseku pásma, kvůli píku, jen naruoval ostatní průběh
                                %tento pík je nejspíe z přechodový odpor
                                %elektrod
                              
for ft=1+vyhoz:poc
   
Tsig=z(((ft-1)*T_t+1):(ft)*T_t);
fftsig(ft-vyhoz,:)=fft(Tsig).^2;
sigmax(ft-vyhoz)=sum(abs(fftsig(ft-vyhoz,dhr:hhr))==max(abs(fftsig(ft-vyhoz,1:end/2))));

end

vysledek2 = sum(sigmax);
pocet2 = poc-1;
